<?php
/**
 * This file is part of OpenMediaVault.
 *
 * @license   http://www.gnu.org/licenses/gpl.html GPL Version 3
 * @author    Volker Theile <volker.theile@openmediavault.org>
 * @copyright Copyright (c) 2009-2023 Volker Theile
 *
 * OpenMediaVault is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * any later version.
 *
 * OpenMediaVault is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with OpenMediaVault. If not, see <http://www.gnu.org/licenses/>.
 */
namespace OMV\System\Storage;

/**
 * This class provides a simple interface to handle Areca RAID
 * devices using the arcmsr driver.
 * @ingroup api
 */
class StorageDeviceARCMSR extends StorageDeviceSD {
	public function getSerialNumber() {
		if (TRUE === $this->hasUdevProperty("SCSI_IDENT_SERIAL")) {
			return $this->getUdevProperty("SCSI_IDENT_SERIAL");
		}
		return parent::getSerialNumber();
	}

	public function isRaid() {
		return TRUE;
	}
}
